{% extends 'base.html.twig' %}

{% block title %}Media index{% endblock %}

{% block body %}

    {{ include('header/index.html.twig') }}

    {# <h1>Media index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Image</th>
                <th>Video</th>
                <th>Visibilite_med</th>
                <th>Categorie</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for medium in media %}
            <tr>
                <td>{{ medium.id }}</td>
                <td>{{ medium.image }}</td>
                <td>{{ medium.video }}</td>
                <td>{{ medium.visibiliteMed ? 'Yes' : 'No' }}</td>
                <td>{{ medium.categorie }}</td>
                <td>
                    <a href="{{ path('app_media_show', {'id': medium.id}) }}">show</a>
                    <a href="{{ path('app_media_edit', {'id': medium.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_media_new') }}">Create new</a> #}

    <main id="bodygalerie">
        <h2 class="h1">Galerie Photos et Vidéos</h2>
        <div class="mesphotos">
            {% for medium in media %}
                <img class="imagesbdd" src="/uploads/{{ medium.image }}" alt="photofilm">
                <video controls width="250">
                    <source src="/uploads/{{ medium.video }}"
                            type="video/webm">
                    <source src="/uploads/{{ medium.video }}"
                            type="video/mp4">
                    Sorry, your browser doesn't support embedded videos.
                </video>
            {% else %}
                <p>Aucune photos ou video n'est disponible</p>
            {% endfor %}
        </div>

        <div class="separation">
            <img class="separe" src="/images/lames.png" alt="lames">
        </div>

    <div id="mesvideos">
        {# <?php




        $resultat = PrendreVideosVisibles();

        ?> #}



        {# <?php
        foreach ($resultat as $i) {
        ?> #}
            <div id="chaquevideo">
                test ici video
            </div>
        {# <?php } ?> #}

    </div>

    </main>

    {{ include('footer/index.html.twig') }}

{% endblock %}
